#ifndef EXTERNAL_POINTS_FILTER_H
#define EXTERNAL_POINTS_FILTER_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class ExternalPointsFilter : public vtkUnstructuredGridAlgorithm {
public:
	static ExternalPointsFilter *New();
	vtkTypeMacro(ExternalPointsFilter, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~ExternalPointsFilter() override = default;
};


#endif
