#ifndef PROJECT_EXTERNAL_POINTS_ON_SURFACE_H
#define PROJECT_EXTERNAL_POINTS_ON_SURFACE_H

#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


class ProjectExternalPointsOnSurface : public vtkUnstructuredGridAlgorithm {
public:
	static ProjectExternalPointsOnSurface *New();
	vtkTypeMacro(ProjectExternalPointsOnSurface, vtkUnstructuredGridAlgorithm);
	ProjectExternalPointsOnSurface();
	int FillInputPortInformation(int, vtkInformation *info) override;
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~ProjectExternalPointsOnSurface() override = default;
};


#endif
